input.parsley-success,
select.parsley-success,
textarea.parsley-success {
  	color: #468847;
  	border: 1px solid #D6E9C6;
  	border-color: #2ab57d;
    padding-right: calc(1.5em + 0.94rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 8 8'%3e%3cpath fill='%232ab57d' d='M2.3 6.73L.6 4.53c-.4-1.04.46-1.4 1.1-.8l1.1 1.4 3.4-3.8c.6-.63 1.6-.27 1.2.7l-4 4.6c-.43.5-.8.4-1.1.1z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.235rem) center;
    background-size: calc(0.75em + 0.47rem) calc(0.75em + 0.47rem);
}

input.parsley-error,
select.parsley-error,
textarea.parsley-error {
  	color: #dc3545;
  	border: 1px solid #dc3545;
  	border-color: #dc3545;
    padding-right: calc(1.5em + 0.94rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 12 12' width='12' height='12' fill='none' stroke='%23fd625e'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23fd625e' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.235rem) center;
    background-size: calc(0.75em + 0.47rem) calc(0.75em + 0.47rem);
}

.parsley-errors-list {
  	margin: 3px 0 3px;
  	padding: 0;
  	list-style-type: none;
  	line-height: 0.9em;
  	opacity: 0;
  	font-size: 14px;
    color: #dc3545;
  	transition: all .3s ease-in;
  	-o-transition: all .3s ease-in;
  	-moz-transition: all .3s ease-in;
  	-webkit-transition: all .3s ease-in;
}

.parsley-errors-list.filled {
  	opacity: 1;
}
.logo {
    line-height: 50px;
}

.d-contents{
    display: contents;
}
.border-none{
    border: none !important;
}

.card-header {
    padding: 12px;
}

.x-table .card-body{
    padding-top: 0px !important;
}

.avatar{
    font-weight: 400;
    color: white;
    padding: 6px;
    border-radius: 50%;
}

.search-panel span > i{
    cursor: pointer;
}

.search-panel .mb-3{
    margin-bottom:0px !important
}

.footer {
    padding: 12px calc(20px / 2);
    height: 45px;
}
.navbar-header,
.header-item{
    height: 50px;
}
.vertical-menu{
    top: 50px;
}
.navbar-header .d-flex{
    height: 50px;
}


.table tr > th,
.table tr > td{
    vertical-align: middle;
}

.x-table-theme-1{
    border-collapse: separate;
    border-spacing: 0 5px!important;
    margin-bottom: 0px;
}
.x-table-theme-1>:not(caption)>*>* {
    padding:10px 10px !important; 
}
.x-table-theme-1 tr{
    background: #fff;
}
.x-table-theme-1 tr td:first-child {
    border-radius: 0.55rem 0 0 0.55rem;
}
.x-table-theme-1 tr td:last-child {
    border-radius: 0 0.55rem 0.55rem 0;
}
.x-table-theme-1 tr td:last-child {
    border-right: 1px solid #e6e9ed;
}
.x-table-theme-1 tr td {
    border-top: 1px solid #e6e9ed;
    border-bottom: 1px solid #e6e9ed;
    border-left: 1px solid #e6e9ed;
}

.empty-record td{
    border: none !important;
}

.crud-label{
    font-size: 10px;
}

.metismenu i{
    font-size: 16px !important;
    margin-right: -6px !important;
}

.m-30{margin: 30px;}

.select2-container .select2-selection--single {
    height: 36px;
}
.select2-container--default .select2-selection--single .select2-selection__rendered {
    line-height: 34px;
}
.select2-container--default .select2-selection--single .select2-selection__arrow {
    top: 4px;
    right: 5px;
}
.select2-container--default .select2-selection--single .select2-selection__clear {
    height: 34px;
}

.info{
    line-height: 2;
}
.list-icon button.btn-sm{
    padding-top: 0.1rem;
    padding-right: 0.4rem;
    padding-bottom: 0.1rem;
    padding-left: 0.4rem;
}

.blank-message {
    font-weight: 300 !important;
    padding: 20px;
    border: 1px solid #efefef;
}
.blank-message:before {
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    padding-right: 10px;
    content: "\f249";
}
